Tracira
API referenceProjects

Rename, merge, or change icon for a project

PATCH
/api/projects/{id}

Authorization

sessionAuth
better-auth.session_token<token>

Browser session cookie used by logged-in Tracira users. Secure-prefixed variants may also be used by the browser.

In: cookie

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/api/projects/string" \  -H "Content-Type: application/json" \  -d '{}'
{}
{
  "error": "string",
  "code": "string",
  "fields": {
    "property1": "string",
    "property2": "string"
  }
}
{
  "error": "string",
  "code": "string",
  "fields": {
    "property1": "string",
    "property2": "string"
  }
}
{
  "error": "string",
  "code": "string",
  "fields": {
    "property1": "string",
    "property2": "string"
  }
}
{
  "conflict": true,
  "existingProject": {
    "id": "string",
    "name": "string"
  }
}